import _extends from "@babel/runtime/helpers/esm/extends";
import { parse } from 'qs';
/**
 * parse query string to object
 *
 * @param {string} query
 * @param {object} [options={}]
 * @param {boolean} [options.ignoreQueryPrefix=true] - avoid the leading question mark
 * @param {boolean} [options.comma] - comma to join array
 */

function parseQueryString(query, options) {
  if (options === void 0) {
    options = {};
  }

  var _options = options,
      _options$ignoreQueryP = _options.ignoreQueryPrefix,
      ignoreQueryPrefix = _options$ignoreQueryP === void 0 ? true : _options$ignoreQueryP,
      comma = _options.comma;

  var mergedOptions = _extends({
    ignoreQueryPrefix: ignoreQueryPrefix
  }, typeof comma !== 'undefined' && {
    comma: comma
  });

  return parse(query, mergedOptions);
}

export default parseQueryString;