// part of the code extracted from. https://github.com/epeli/underscore.string/blob/master/cleanDiacritics.js
var from = 'ąàáäâãåæăćčĉęèéëêĝĥìíïîĵłľńňòóöőôõðøśșşšŝťțţŭùúüűûñÿýçżźž';
var to = 'aaaaaaaaaccceeeeeghiiiijllnnoooooooossssstttuuuuuunyyczzz'.split('');

function replaceCharIfNeeded(_char) {
  var index = from.indexOf(_char);
  return index === -1 ? _char : to[index];
}

export function slugify(str, allowQueryParams) {
  var validCharsRegEx = allowQueryParams ? /[^a-z0-9\\. \- ? =]/g // only letters numbers, dashes, dots, equals and question marks
  : /[^a-z0-9\\. -]/g; // only letters numbers, dashes and dots

  return str.toLowerCase().replace(/.{1}/g, replaceCharIfNeeded).replace(validCharsRegEx, '') // remove invalid chars
  .replace(/\s+/g, '-') // collapse whitespace and replace by -
  .replace(/-+/g, '-'); // collapse dashes
}