import _extends from "@babel/runtime/helpers/esm/extends";
import { stringify } from 'qs';
/**
 * converts query params object to query string
 *
 * @param {object} queryParams
 * @param {object} [options={}]
 * @param {'indices'|'brackets'|'repeat'|'comma'} [options.arrayFormat] - specify the format of the output array
 */

function toQueryString(queryParams, options) {
  if (options === void 0) {
    options = {};
  }

  var _options = options,
      arrayFormat = _options.arrayFormat;

  var mergedOptions = _extends({}, typeof arrayFormat !== 'undefined' && {
    arrayFormat: arrayFormat
  });

  return stringify(queryParams, mergedOptions);
}

export default toQueryString;